OS 0.8.0.3 Metro-Edition released

Lena Vanilli
Lena Vanilli
 Administrator edited November 2014 in Technical Support
Huhu Metros :)

A brandnew OS 0.8.0.3 Metro-Edition is ready for download: http://hypergrid.org/metropolis/wiki/en ... =Downloads
No changes in the 0.8.0.1 configs/ini-Files. Use them as they are.

Eine brandneue OS 0.8.0.3 Metro-Edition ist fertig und kann hier heruntergeladen werden: http://hypergrid.org/metropolis/wiki/de ... =Downloads
Keine Änderungen zu den 0.8.0.1-Configs und ini-Dateien. Diese können so für die neue Version übernommen werden.

Hugs,
Lena

Thanks to Zak Spot for this "sunday-work" :)
«1

Comments

  • droid crazyboy
    droid crazyboy
     Member edited 4:52AM
    ok
    thanks :-)
    is there a migration plan on the way for metro ? or is the 0.8.0.3 only for conencted server ?
  • Sheera Khan
    Sheera Khan
     Member edited 4:52AM
    Hi Droid,

    as far as I can see the sims owned by Metropolis are already updated. I don't know about rented regions though but my guess is they will be updated very soon. The download version should be the same software as running on those Metro servers and is intended for those connecting their own servers to our grid and is preconfigured accordingly. This new release contains an important security bugfix and it is strongly recommended to update.

    soweit ich es sehen kann sind die Metro-eigenen Simulatoren bereits aktualisiert. Bei den gemieteten Servern bin ich mir zwar nicht sicher, aber auch dort wird das Update sicher bald verfügbar sein. Das Update enthält eine wichtige Korrektur eines Sicherheitsproblems und es wird daher wärmstens empfohlen, die eigenen Regionen auf den neuen Stand zu bringen.

    Ciaooo

    Sheera
  • Lena Vanilli
    Lena Vanilli
     Administrator edited 4:52AM
    Hi all,

    within the next 10 days we will change all rented regions to the new version.

    Hugs,
    Lena
  • Night Raven
    Night Raven
     Member edited 4:52AM
    Huch hatte die 8.03 Version installiert aber es ging kein einziges Script mehr, evt. habe ich was falsch gemacht oder diese Linux Version hat einen Fehler.

    lg Night
  • Gubbly
    Gubbly
     Member edited 4:52AM
    Huch hatte die 8.03 Version installiert aber es ging kein einziges Script mehr, evt. habe ich was falsch gemacht oder diese Linux Version hat einen Fehler.

    Nop, leuft alles, hab meine Sandbox gestern schon geupdatet zum Testen. Lauft soweit alles.
    Was mir aufgefallen ist das die Scripte beim Starten ziemlich lange brauchen. Vielleicht bist du nur zu ungeduldig ;)
  • Susan Dark
    Susan Dark
     Member edited 4:52AM
    Huhu,

    eine Frage zur Umstellung, muss ich etwas an MySQL ändern?
    Reicht es die neue Version 0.8.0.3 zu laden und die alte Config. und ini-Datein in den neuen Versionsordner zu verschieben??

    Susan :?:
  • bertl
    bertl
     Member edited 4:52AM
    Das sollte reichen Susan :)
    OpenSim hat mit MySQL nicht direkt etwas zu tun, außer dass es es 'nutzt' :)

    Ich persönlich bin aber jetzt nicht so der Fan davon Konfigurations-Dateien einfach zu ersetzen.
    Wenn sich von Version zu Version Parameter ändern oder hinzukommen dann würde das nicht berücksichtigt.
    Besser ist es
    • die Architektur auszuwählen die man nutzt in der OpenSim.ini (ganz unten, wahrscheinlich Grid.ini)
    • die Verbindungsdaten einzutragen von MySQL in der jeweiligen Common-Datei (z.B. config-include/GridCommon.ini) und natürlich SQLite deaktivieren und MySQL aktivieren.
    • fast vergessen lol: die Metro-Grid-Daten natürlich eintragen in der GridCommon.ini
    • die Regionsdateien einzulagern unter "Regions/"
    • optional Parameter von denen man weiß, dass man sie explizit gesetzt hat, wieder anpassen in der OpenSim.ini (wahrscheinlich nicht notwendig).

    Mit sehr großer Wahrscheinlichkeit läuft aber alles gut wenn du schlicht die zwei ini-Dateien ersetzt und deine Regions-Dateien einlagerst :)
    Cheers, Bert.

    EDIT: wer lesen kann ... vergiß das Geschwafel von mir Susan ... Lena hat ja geschrieben:
    Keine Änderungen zu den 0.8.0.1-Configs und ini-Dateien. Diese können so für die neue Version übernommen werden.
    ... Also: einfach ersetzen Susan. :D
  • Gubbly
    Gubbly
     Member edited 4:52AM
    Zur vereinfachung ein kleines script das alles macht.
    Vorausgesetzt die OpenSim Installation liegt unter /home/*/bin/ und es wurden keine größeren Änderungen gemacht außer in der OpenSim ini defaults ini und regions ini.

    http://pastebin.com/igbqU9H1

    Für alle anderen trotzdem hilfreich wenn sie nicht wissen was alles gemacht werden muss ;)

    Versucht das zu toppen, in 1:50 pro Region ;)
    Und dann noch mit zeigen und allem.
    http://youtu.be/o4KRE46hN7M
  • Susan Dark
    Susan Dark
     Member edited 4:52AM
    Danke Bertl,

    hat alles soweit geklappt....ausser....alles ist wieder voll bei mir mit roten Zeilen was scripts betrifft :shock: !
    Und ein altes ist leider auch wieder aufgetaucht...slow handling.... :? !

    Vielen Danke für deine schnelle Antwort und deine Hilfe :)

    Susan
  • bertl
    bertl
     Member edited 4:52AM
    Hi Susan,

    mhm, hab mal gestöbert im Forum, letztens war da ja was mit mono, also jetzt bloß kein mono-Update machen +lach+
    Damals hab ich fast nen Herzkaspar bekommen weil deine SIM nicht mehr hochkam lol.

    Wenn das z.B. wieder so ein LKW-Blinkscript ist das am Schimpfen ist dann würde ich mir das Script gerne mal anschauen was das da tut.
    Vielleicht sind es OS-Funktionen (das sind nicht-Linden-kompatible OpenSim-Erweiterungen bei Scripten) die nicht aktiviert sind und daher schimpfen.
    Kann man sich das bei dir mal anschauen?

    Cheers, Bert.
  • Gubbly
    Gubbly
     Member edited 4:52AM
    Das würd sich ja schon klähren wenn du mal eine dieser Fehlermeldungen postest.
  • Susan Dark
    Susan Dark
     Member edited 4:52AM
    Huhu Bertl,

    wenn die Sim online ist kannst du gerne einmal nachsehen.
    Beispiel: [PRIM INVENTORY]: Couldn't start script New Script, a583a063-6a33-4570-8baa-8e2e2e337052 at <80.36657, 183.1899, 25.29975> in Darkworld since asset ID 6b500f2d-ef72-47d7-8271-947eacf71cf2 could not be found
    und
    [LOGHTTP]: Slow handling of 43 POST /CAPS/8cdea3b4-803e-4a00-a065-fcb083c10784 FetchInventory2 806bc3cb-16d9-4183-a21b-44b2d53de20b from 87.150.118.24:49761 took 12604ms

    Susan
  • bertl
    bertl
     Member edited 4:52AM
    Hi Susan,

    da wäre jetzt ein kleiner Blick auf den AssetServer interessant, was das ist mit der UUID "6b500f2d-ef72-47d7-8271-947eacf71cf2", das scheint ja nicht mehr vorhanden zu sein.
    Also nicht mehr das LKW-Blinkdings, okay :)
    Bist du dir eigentlich sicher, dass diese Meldung vor dem Update _nicht_ aufgetreten sind?
    Meist ist das ja so, dass man gar nicht ins Log schaut, und wenn man dann mal die Konsole aus bestimmten Gründen sichtet (wie ein Update), denkt man "OOOOOOhhhh", aber tatsächlich traten diese Meldungen schon länger auf. Ich red jetzt von mir lol.

    Das mit dem Slow Handling geht ja eher in Richtung "Kommunikation zweier Maschinen untereinander", da kann ich leider nix zu sagen Susan, sorry. Die IP 87.150.118.24 ist das dein Client oder dein Regions-Server? Scheint mir keine Metro-Maschine zu sein, sieht nach Telekom aus (vielleicht mal den Router neustarten ;) ).

    Cheers, Bert.
  • Lena Vanilli
    Lena Vanilli
     Administrator edited 4:52AM
    Huhu Susan und Bert,

    dieses Asset 6b500f2d-ef72-47d7-8271-947eacf71cf2 gibt es auch nicht in der DB.

    Liebe Grüße
    Lena
  • bertl
    bertl
     Member edited 4:52AM
    Hi Lena, vielen Dank fürs Schauen :)

    Ich steh ziemlich aufm Schlauch momentan muss ich zugeben.
    Wir haben gerade sämtliche config-include/GridCommon.ini Einträge bei Susan überprüft -> stimmen.
    Auch OpenSim.ini Verweis auf Grid-Architektur ist okay.

    Phänomen ist: Ein wirklich schlichtes Rotier-Script in einem Prim lässt sich nicht editieren ("script missing in database").
    Der Prim rotiert allerdings, aber das ist ja eine Eigenschaft vom Prim an sich, insofern nicht verwunderlich.

    Hab das Objekt bei Susan "gekauft" (-> okay), bei mir gerezzt (-> okay), rotiert (okay), und wenn ich es editiere kommt besagte Meldung.
    Lösche ich das Script und setze ein neues Rotier-Script rein (übergeben von Susans Inventar, das okay ist), ist alles gut.
    Auch Susan kann problemlos ein _neues_ Script anlegen in Prims, die laufen und sind editierbar.

    Das einzige das mir noch momentan einfällt ist der Cache vom Regions-Server.
    Gibt ja diverse Kommandos dafür (fcache ...) aber damit hab ich keine Erfahrung, daher hab ich Susan erstmal davon abgeraten.
    Ich geh jetzt erstmal Hof kehren, das sortiert die Gedanken :D

    Cheers, Bert.
Sign In or Register to comment.

Welcome

It looks like you're new here. If you want to get involved, click one of these buttons!

Discussions

© Copyright 2019 - Metropolis Metaversum
All times are GMT